Returns information on the user.
GET users/{user-login}
Authentication
This request requires basic authentication.
Request Parameters
Path params
| user-login | string |
The login of the user to get information about. |
|---|
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request GET 'https://{portal-url}/api/v1/users/pr1' |
Response body sample
JSON |
[JSON] { "userInfo": { "about": null, "authorUiFourLetterCode": "en-US", "avatarImageUrl": null, "cultureInfoId": "en-US", "email": "power-reader@email.com", "firstName": "Power", "isAutoDetectCultureInfo": true, "isAutoDetectTimeZone": true, "lastActivityDate": null, "lastName": "Reader", "middleName": "", "timeZoneId": "UTC" }, "userName": "pr1", "userRole": null, "userType": "PowerReader", "isEnabled": true } |
Response fields
| userInfo | An object containing basic profile information. |
|---|---|
| about | Information the user specified in the About box. |
| avatarImageUrl | URL of the image used as an avatar. |
| cultureInfoId | A four-letter language code of the user's culture. |
| email | Email of the user. |
| firstName | First name of the user. |
| isAutoDetectCultureInfo | Whether the culture is automatically detected. false if the culture is explicitly set by the user. |
| isAutoDetectTimeZone | Whether the time zone is set to be automatically detected. |
| lastActivityDate | An ISO 8601 timestamp of the user's last activity date. GMT timezone. |
| lastName | Last name of the user. |
| middleName | The middle name of the user. |
| timeZoneId | An ID of the time zone the user specified. |
| userName | The login of the user. |
| userType | The user type of the user – Power Reader or Contributor. |
| userRole | Comma-separated list of Reviewer or Power Reader Access Groups this user belongs to. |
| isEnabled | Whether the account is enabled or not. |